import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-04-30 15:16
 */
export interface TestPlateModel{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    plateno?: string;
    /**
    * 
    * @type { string }
    */
    parkid?: string;
}
export class TestPlateModelMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get PLATENO(): FieldInfo{  
        return new FieldInfo('plateno','');
    }
    static get PARKID(): FieldInfo{  
        return new FieldInfo('parkid','');
    }
}


/**
 * @author auto generate
 * @version 1.1
 * @date 2021-04-30 15:16
 */
export interface AbnormalOutInModel{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { number }
    */
    tapdid?: number;
    /**
    * 
    * @type { string }
    */
    parkid?: string;
    /**
    * 
    * @type { number }
    */
    status?: number;
    /**
    * 
    * @type { string }
    */
    data?: string;
    /**
    * 
    * @type { string }
    */
    createtime?: string;
    /**
    * 车牌号
    * @type { string }
    */
    plateno?: string;
}
export class AbnormalOutInModelMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get TAPDID(): FieldInfo{  
        return new FieldInfo('tapdid','');
    }
    static get PARKID(): FieldInfo{  
        return new FieldInfo('parkid','');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','');
    }
    static get DATA(): FieldInfo{  
        return new FieldInfo('data','');
    }
    static get CREATETIME(): FieldInfo{  
        return new FieldInfo('createtime','');
    }
    static get PLATENO(): FieldInfo{  
        return new FieldInfo('plateno','车牌号');
    }
}


